Docjar: A Java Source and Docuemnt Enginecom.*    java.*    javax.*    org.*    all    new    plug-in

Quick Search    Search Deep

org.apache.cocoon.components.modules.database.* (7)org.apache.cocoon.components.modules.input.* (27)
org.apache.cocoon.components.modules.output.* (4)

Package Samples:

org.apache.cocoon.components.modules.database
org.apache.cocoon.components.modules.output
org.apache.cocoon.components.modules.input

Classes:

ChainMetaModule: This modules allows to "chain" several other modules. If a module returns "null" as attribute value, the next module in the chain is queried until either a value can be obtained or the end of the chain is reached. A typical example would be to "chain" request parameters, session attributes, and constants in this order. This way, an application could have a default skin that could be overridden by a user in her/his profile stored in the session. In addition, the user could request a different skin through passing a request parameter. Usage: Any number of <input-module/> blocks may appear in ...
JXPathMetaModule: JXPathModule allows to access properties of any object in generic way. JXPath provides APIs for the traversal of graphs of JavaBeans, DOM and other types of objects using the XPath syntax. This is based on the AbstractJXPathModule and duplicates the code since multiple inheritance is not possible. Please keep both classes in sync. Configuration example: <input-module name="request-attr" parameter="foo"/> Uses the "request-attr" input module to obtain parameter named "foo" and applies the given JXPath expression to it. <function name="java.lang.String" prefix="str"/> Imports the class ...
XMLMetaModule: Meta module that obtains values from other module and returns all parameters as XML. Config <!-- in cocoon.xconf --> <input-module name="request" ignore="do-" strip="user."/> <!-- e.g. in database.xml --> <mode type="all" name="xmlmeta" ignore="foo." use="foo" strip="f" root="my-root"/> If present, "ignore" gives a prefix of parameters to ignore, ignore has precedence over the "use" attribute, "strip" a prefix that will be removed from the final parameter names in the produced XML, "use" is a prefix for parameters to include in the XML, and "root" is the name of the root ...
AbstractJXPathModule: JXPathModule allows to access properties of any object in generic way. JXPath provides APIs for the traversal of graphs of JavaBeans, DOM and other types of objects using the XPath syntax. JXPathMetaModule is based on this class and duplicates the code since multiple inheritance is not possible. Please keep both classes in sync. Configuration example: <function name="java.lang.String" prefix="str"/> Imports the class "String" as extension class to the JXPathContext using the prefix "str". Thus "str:length(xpath)" would apply the method "length" to the string object obtained from the xpath ...
CollectionMetaModule: Constructs an array of values suitable for a JDBC collection type from parameters obtained from another input module. Application is not limited to JDBC collections but can be used wherever similar named attributes shall be collected to an array of a given type. Currently, long, int, and string are known, more to come. Global and local configuration input-module Name of the input module used to obtain the value and its configuration member Collection member Attribute name Parameter name, "*" may distinguish multiple collections type JDBC type name of members
SimpleMappingMetaModule: Meta module that obtains values from an other module and by replacing the requested attribute name with another name. This is done first through a replacement table and may additionally prepend or append a string. Replacement works in both ways, it is applied to the returned attribute names as well. Example configuration: <prefix>cocoon.</prefix> <suffix>.attr</suffix> <mapping in="foo" out="bar"/> <mapping in="yuk" out="yeeha"/> Will map a parameter "foo" to the real one named "cocoon.bar.attr". If parameters "coocoon.yeeha.attr" and "shopping.cart" exist, the ...
RequestModule: RequestModule provides access to Request object properties. To get access to request properties use XPath syntax, e.g. to get the request context path use 'contextPath' as the attribute name. More complex expressions are also supported, e.g.: 'userPrincipal/name' will return the name property of the Principal object returned by the request.getUserPrincipal() method. If requested object is not found then an exception will be thrown.
ManualAutoIncrementModule: Abstraction layer to encapsulate different DBMS behaviour for autoincrement columns. Here: manual mode The new value is determined by doing a "select max(column)+1 from table" query. With transactions and correct isolation levels, this should to the trick almost everywhere. Note however, that the above query does not prevent a parallel transaction to try to insert a row with the same ID since it requires only shared locks. C.f. "Phantom Problem"
DigestMetaModule: Meta module that obtains values from other module and returns message digest of value. Very useful for storing and checking passwords. Input module configured through nested element "input-module", message digest algorithm, security provider, salt, and URL encoded output configurable through attributes "algorithm", "provider", "salt", "encode" of configuration root element. Defaults are "sha", null, "salt", and "false".
SessionModule: SessionModule provides access to Session object properties. To get access to session properties use XPath syntax, e.g. to get the session id use 'id' as the attribute name. More complex expressions with functions are also supported, e.g.: 'substring(id, 8)' will return the substring of id property of the session object. NOTE: The module does not create a new session.
PgsqlAutoIncrementModule: Abstraction layer to encapsulate different DBMS behaviour for autoincrement columns. Here: PostgreSQL sequences. The default sequence name is constructed from the table name, a "_", the column name, and the suffix "_seq". To use a different sequence name, set an attribute "sequence" for the modeConf e.g. <mode name="auto" type="auto" sequence="my_sequence"/>.
RequestParameterModule: RequestParameterModule accesses request parameters. If the parameter name contains an askerisk "*" this is considered a wildcard and all parameters that would match this wildcard are considered to be part of an array of that name for getAttributeValues. Only one "*" is allowed. Wildcard matches take precedence over real arrays. In that case only the first value of such array is returned.
SystemPropertyModule: SystemPropertyModule is an JXPath based InputModule implementation that provides access to system properties. JXPath allows to apply XPath functions to system properties. If there is a security manager, its checkPropertiesAccess method is called with no arguments. This may result in a security exception which is wrapped into a configuration exception and re-thrown.
MapMetaModule: Meta module that obtains an Object from another module, assumes that this Object implements the java.util.Map interface, and gives access to the map contents. Possible use is to propagate data from flow through request attributes to database actions. Configuration: "input-module", "object", "parameter"
DefaultsMetaModule: Set a number of constants. To override the values with input from another module, combine this one with the ChainMetaModule and an arbitrary number of other modules. IOW this is no "meta" module anymore! <values> <skin>myskin</skin> <base>baseurl</base> </values>
OutputModule: Communicate results to other components. This could be done via request attributes, session attribute etc. Implementors should obey the transactional nature and e.g. queue values as request attributes and do the real communication e.g. to a bean only when the transaction completes successfully.
HeaderAttributeModule: HeaderAttributeModule accesses request header attributes. If the attribute name contains an askerisk "*" this is considered a wildcard and all attributes that would match this wildcard are considered to be part of an array of that name for getAttributeValues. Only one "*" is allowed.
SessionAttributeModule: SessionAttributeModule accesses session attributes. If the attribute name contains an askerisk "*" this is considered a wildcard and all attributes that would match this wildcard are considered to be part of an array of that name for getAttributeValues. Only one "*" is allowed.
RequestAttributeModule: RequestAttributeModule accesses request attributes. If the attribute name contains an askerisk "*" this is considered a wildcard and all attributes that would match this wildcard are considered to be part of an array of that name for getAttributeValues. Only one "*" is allowed.
NullInputModule: NullInputModule returns a null object. Use this if you wnat to explicitly forbit a parameter to be filled. E.g. a database column shall be filled with a default value, your forms never contain that parameter but you don't want anyone to provide this parameter manually.
DateMetaInputModule: Parses a date string according to a given format and returns a date object. Configuration options: child element "input-module" holds InputModule to obtain the string from, attribute "format" to "input-module" that holds ajava.text.SimpleDateFormat format string.
AbstractMetaModule: AbstractMetaModule gives you the infrastructure for easily deploying more "meta" InputModules i.e. InputModules that are composed of other InputModules. In order to get at the Logger, use getLogger().
RandomNumberModule: RandomNumberModule returns a random number as string. Configuration through attributes of root node: "min", "max" setting range of random number. Defaults to "0" and "9999999999" respectively.
DateInputModule: DateInputModule returns current date, optionally formated as string. Format given through attribute "format" of configuration root node or nested <format/> tag on module declaration.
RequestContextPathModule: RequestContextPathModule allows to use the request context path in sitemap attribute expressions. Usage: <map:redirect-to uri="{request:context}/index.html" />

Home | Contact Us | Privacy Policy | Terms of Service